Subject: ALPHA-pl11 available on nic: C++ support
From: [email-masked] (Linus Torvalds)
Date: Sun, 4 Jul 93 00:03:03 GMT
Newsgroups: comp.os.linux.announce

For those brave souls that enjoy testing new releases, there is an
ALPHA-release of the 0.99.11 version available on nic.funet.fi in the
usual place (pub/OS/Linux/PEOPLE/Linus).  This has a few changes from
the last one, the most notable being that it is compiled using C++, as
there was some interest in that on the c.o.l newsgroup.  Note that very
few C++ features are actually used: the major changes were some minor
syntactic editing and the addition of 'extern "C"' to functions called
from assembly code.  The C++ changes are not the same as those done by
Tristan (although you should thank him for getting it rolling), as I
wanted to resolve the differences between C and C++ a bit differently. 

The C++ changes shouldn't actually change the way the kernel works, and
it's mainly used currently to do stricter pointer checking.  The name
mangling probably breaks the kmem based 'ps' once again..  Actual code
changes for this test-version:

 - I added the patches by Charles Hedrick for SLIP: this actually means
   that only CSLIP is available for now, so..  The net code is still not
   ready: Fred is working on it, so this is just an interim version when
   it comes to networking (there are some other minor patches in there as
   well). 

 - The mm has been cleaned up since pl10, and mmap() actually works for
   most things, while malloc() will return NULL when the kernel thinks
   there isn't enough memory.  Similarly, the buffer cache code should
   now support different block sizes (although this is still in the
   "early alpha" stage.  Most of the changes by Eric Youngdale, with mm
   cleanups by me. 

 - A problem with the dynamic inode code (insufficient inode
   invalidation) that could result in fs corruption under some
   circumstances is fixed.

People who have written drivers etc should probably check out the
changes I did due to the stricter C++ pointer checking. 

		Linus

--
Send submissions for comp.os.linux.announce to: [email-masked]